> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create a customer note

POST https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/notes
Content-Type: application/json

Creates a note on this customer. The author is the dashboard user who created the API key making the request.

Reference: https://docs.tabs.com/api-reference/customer-notes/integrators-api-customer-notes-controller-create-customer-note

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `id` (string, required) — Customer Id

### Body (application/json)

This endpoint expects a CreateCustomerNoteV3Dto.

- `note` (CreateCustomerNoteV3DtoNote, required) — Note text to attach to the customer.

## Response

### 201

The created note

- `payload` (CustomerNoteV3Dto, required) — Response payload, will be empty when success is false
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (IntegratorsApiError, optional) — json element with any error messages or warnings

## Errors

### 400 Bad Request Error

Empty note, malformed customer id, or API key has no creator user.

- `any`

### 404 Not Found Error

No such customer under your merchant account.

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Types

### CreateCustomerNoteV3DtoNote

Note text to attach to the customer.

### CustomerNoteV3Dto

- `id` (CustomerNoteV3DtoId, required) — Unique identifier of the note
- `customerId` (CustomerNoteV3DtoCustomerId, required) — Customer this note belongs to
- `note` (CustomerNoteV3DtoNote, required) — Note text
- `authorId` (CustomerNoteV3DtoAuthorId, required) — Tabs user who created the API key that wrote this note
- `createdAt` (CustomerNoteV3DtoCreatedAt, required) — When the note was created
- `updatedAt` (CustomerNoteV3DtoUpdatedAt, required) — When the note was last updated

### IntegratorsApiError

- `code` (double, required) — API response code
- `message` (string, required) — API response message
- `errorCode` (string, optional) — Machine-readable error code
- `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error

### CustomerNoteV3DtoId

Unique identifier of the note

### CustomerNoteV3DtoCustomerId

Customer this note belongs to

### CustomerNoteV3DtoNote

Note text

### CustomerNoteV3DtoAuthorId

Tabs user who created the API key that wrote this note

### CustomerNoteV3DtoCreatedAt

When the note was created

### CustomerNoteV3DtoUpdatedAt

When the note was last updated

### IntegratorsApiErrorDetails

Additional details about the error

## Examples

**Request**

```json
{
  "note": "Called about overdue invoice INV-1042"
}
```

**Response**

```json
{
  "payload": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "customerId": "123e4567-e89b-12d3-a456-426614174000",
    "note": "Called about overdue invoice INV-1042",
    "authorId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": {},
    "updatedAt": {}
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "errorCode": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes"

payload = { "note": "Called about overdue invoice INV-1042" }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"note":"Called about overdue invoice INV-1042"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes"

	payload := strings.NewReader("{\n  \"note\": \"Called about overdue invoice INV-1042\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"note\": \"Called about overdue invoice INV-1042\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"note\": \"Called about overdue invoice INV-1042\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes', [
  'body' => '{
  "note": "Called about overdue invoice INV-1042"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"note\": \"Called about overdue invoice INV-1042\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["note": "Called about overdue invoice INV-1042"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/notes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```